package com.jsh.erp.datasource.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class TaskStocktakingItemQueryDTO {

    @ApiModelProperty("盘点任务ID")
    private Long taskStocktakingId;

    @ApiModelProperty("商品类别ID")
    private Long categoryId;

    @ApiModelProperty("商品名称")
    private Integer materialName;

    @ApiModelProperty("批次号")
    private String batchNumber;

    @ApiModelProperty("仓库货架")
    private Long position;

    @ApiModelProperty("是否存在差异 1：是，2：否，其他是全部")
    private String isDifference;


}
